This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1106391 - (CVE-2014-2405) CVE-2014-2405 OpenJDK: libpng unhandled zero-length PLTE chunk or NULL palette (AWT, 8031352)
CVE-2014-2405 OpenJDK: libpng unhandled zero-length PLTE chunk or NULL palett...
Status: CLOSED DUPLICATE of bug 1045561
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140415,reported=2...
: Security
Depends On:
Blocks: 1082776
  Show dependency treegraph
 
Reported: 2014-06-09 04:49 EDT by Tomas Hoger
Modified: 2014-06-10 10:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 05:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2014-06-09 04:49:04 EDT
The CVE id CVE-2014-2405 was assigned to the following issue:

Unspecified vulnerability in OpenJDK 6 before 6b31 on Debian GNU/Linux and Ubuntu 12.04 LTS and 10.04 LTS has unknown impact and attack vectors, a different vulnerability than CVE-2014-0462.

References:
http://www.debian.org/security/2014/dsa-2912
http://www.ubuntu.com/usn/USN-2191-1
http://secunia.com/advisories/58415
Comment 1 Tomas Hoger 2014-06-09 05:07:05 EDT
This CVE id was assigned incorrectly as a duplicate of libpng CVE-2013-6954 (see bug 1045561) for a bundled copy of the ligpng code used in the OpenJDK sources.  Incorrect assignment of the id was identified before the new releases were announced, so the id did not appear in those announcements.  The id was briefly used in IcedTea6 NEWS files and corrected upstream via the following commit:

http://icedtea.classpath.org/hg/release/icedtea6-1.13/rev/72245beb1811

The OpenJDK packages (java-1.6.0-openjdk and java-1.7.0-openjdk) as shipped with Red Hat Enterprise Linux do not use bundled libpng copy and rely on system packages, which were not affected by CVE-2013-6954.

Statement:

This issue is a duplicate of the libpng CVE-2013-6954 issue. The versions of java-1.6.0-openjdk and java-1.7.0-openjdk as shipped with Red Hat Enterprise Linux 5 and 6 were not affected by this issue, as they do not use bundled libpng version.
Comment 2 Tomas Hoger 2014-06-09 05:07:33 EDT

*** This bug has been marked as a duplicate of bug 1045561 ***

Note You need to log in before you can comment on or make changes to this bug.